\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
Besides trigonometric functions such as \( \sin(x) \) and ( \arctan(x) \),
there are exponential functions \( f(x)=e^x \) and the logarithms in 
base ten \( \log(x) \), base two~\( \lg(x) \), and natural 
logarithms~\( \ln(x) \).

We can write combinations ( \binom{n}{r} \) and permutations \( {}_nP_r \). 
As well, we can write  \( x \equiv n\mod m \), and \( n\bmod m \), 
and \( b\pmod{k} \) for the various modulo relations and operations.

Sometimes you need plain text in the middle of mathematics.
\( [0,1)=\{x\mid \text{\(x\geq 0\) and \(x<1\)}\} \).
Note the math inside the text, inside the math.
(Note also that the curly braces need a backslash.)
\end{document}     
